Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessibleScrollBar Class Reference

The QAccessibleScrollBar class implements the QAccessibleInterface for scroll bars. More...

    #include <QAccessibleScrollBar>

Inherits QAccessibleWidget.

- List of all members, including inherited members

### Public Types

- enum ScrollBarElements { ScrollBarSelf, LineUp, PageUp, Position, PageDown, LineDown }

### Public Functions

- QAccessibleScrollBar ( QWidget * w, const QString & name = QString() )

- 15 public functions inherited from QAccessibleInterface

### Static Public Members

- 8 static public members inherited from QAccessible

### Protected Functions

- QScrollBar * scrollBar () const

- 7 protected functions inherited from QAccessibleWidget

## Detailed Description

The QAccessibleScrollBar class implements the QAccessibleInterface for scroll bars.

## Member Type Documentation

### enum QAccessibleScrollBar::ScrollBarElements

This enum identifies the components of the scroll bar.

`QAccessibleScrollBar::ScrollBarSelf` | The scroll bar as a whole.
`QAccessibleScrollBar::LineUp` | The up arrow button.
`QAccessibleScrollBar::PageUp` | The area between the position and the up arrow button.
`QAccessibleScrollBar::Position` | The position marking rectangle.
`QAccessibleScrollBar::PageDown` | The area between the position and the down arrow button.
`QAccessibleScrollBar::LineDown` | The down arrow button.

## Member Function Documentation

### QAccessibleScrollBar::QAccessibleScrollBar ( QWidget * w, const QString & name = QString() )

Constructs a QAccessibleScrollBar object for w. name is propagated to the QAccessibleWidget constructor.

### QScrollBar * QAccessibleScrollBar::scrollBar () const `[protected]`

Returns the scroll bar.